/*
Copyright 2024 The Kubernetes Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by client-gen. DO NOT EDIT.

package fake

import (
	gentype "k8s.io/client-go/gentype"
	nfdv1alpha1 "sigs.k8s.io/node-feature-discovery/api/generated/clientset/versioned/typed/nfd/v1alpha1"
	v1alpha1 "sigs.k8s.io/node-feature-discovery/api/nfd/v1alpha1"
)

// fakeNodeFeatureGroups implements NodeFeatureGroupInterface
type fakeNodeFeatureGroups struct {
	*gentype.FakeClientWithList[*v1alpha1.NodeFeatureGroup, *v1alpha1.NodeFeatureGroupList]
	Fake *FakeNfdV1alpha1
}

func newFakeNodeFeatureGroups(fake *FakeNfdV1alpha1, namespace string) nfdv1alpha1.NodeFeatureGroupInterface {
	return &fakeNodeFeatureGroups{
		gentype.NewFakeClientWithList[*v1alpha1.NodeFeatureGroup, *v1alpha1.NodeFeatureGroupList](
			fake.Fake,
			namespace,
			v1alpha1.SchemeGroupVersion.WithResource("nodefeaturegroups"),
			v1alpha1.SchemeGroupVersion.WithKind("NodeFeatureGroup"),
			func() *v1alpha1.NodeFeatureGroup { return &v1alpha1.NodeFeatureGroup{} },
			func() *v1alpha1.NodeFeatureGroupList { return &v1alpha1.NodeFeatureGroupList{} },
			func(dst, src *v1alpha1.NodeFeatureGroupList) { dst.ListMeta = src.ListMeta },
			func(list *v1alpha1.NodeFeatureGroupList) []*v1alpha1.NodeFeatureGroup {
				return gentype.ToPointerSlice(list.Items)
			},
			func(list *v1alpha1.NodeFeatureGroupList, items []*v1alpha1.NodeFeatureGroup) {
				list.Items = gentype.FromPointerSlice(items)
			},
		),
		fake,
	}
}
